%define upstream_name Crypt-URandom
%define upstream_version 0.36

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 3

Summary:	Provide non blocking randomness
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:	noarch

%description
This Module is intended to provide an interface to the strongest 
available source of non-blocking randomness on the current platform.
Platforms currently supported are anything supporting /dev/urandom
and versions of Windows greater than or equal to Windows 2000.

%prep
%autosetup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.360.0-3.mga6
+ Revision: 1024694
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.360.0-2.mga6
+ Revision: 966143
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.360.0-1.mga6
+ Revision: 842657
- imported package perl-Crypt-URandom

